aboutsummaryrefslogtreecommitdiff
path: root/.ci/.gitlab-ci-checkcommit.sh
diff options
context:
space:
mode:
authorRoman Stratiienko <r.stratiienko@gmail.com>2022-12-15 10:12:31 +0200
committerRoman Stratiienko <r.stratiienko@gmail.com>2022-12-19 19:12:44 +0200
commit3295719124162e5091168173064fedf1cd28f5d3 (patch)
tree462cf3e9f64cce7dd78d95ab9b06e2b4f1b85a00 /.ci/.gitlab-ci-checkcommit.sh
parent6b40505a7eb8f2e6126db5a8d1ad7fb552ac9040 (diff)
downloaddrm_hwcomposer-3295719124162e5091168173064fedf1cd28f5d3.tar.gz
drm_hwcomposer: Add support for running CI locally using docker
Prior to this commit running local CI script required the latest non-LTS ubuntu installed. To run CI on host run: make local_presubmit To run CI within docker container run: make ci With this commit we're also setting the stage for meson build. Change-Id: I759c35ef8da306de8759f290c11c39c4b237bb8c Signed-off-by: Roman Stratiienko <r.stratiienko@gmail.com>
Diffstat (limited to '.ci/.gitlab-ci-checkcommit.sh')
-rwxr-xr-x.ci/.gitlab-ci-checkcommit.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.ci/.gitlab-ci-checkcommit.sh b/.ci/.gitlab-ci-checkcommit.sh
index ff293a8..f854999 100755
--- a/.ci/.gitlab-ci-checkcommit.sh
+++ b/.ci/.gitlab-ci-checkcommit.sh
@@ -1,5 +1,13 @@
#! /usr/bin/env bash
+check_tool_installed() {
+ if ! command -v $1 &> /dev/null
+ then
+ echo "Please install '$1' tool"
+ exit 1
+ fi
+}
+
echoerr() {
printf "ERROR: %s\n" "$*" >&2
}
@@ -27,6 +35,9 @@ findtag() {
return 1
}
+check_tool_installed bpfmt
+check_tool_installed clang-format-diff-15
+
git fetch https://gitlab.freedesktop.org/drm-hwcomposer/drm-hwcomposer.git
git log --pretty='%h' FETCH_HEAD..HEAD | while read h; do